package com.todottl.ui.screen

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.todottl.data.RouteConfig

@Composable
fun TodoTTLScreen() {
    val navController = rememberNavController()
    NavHost(navController = navController, startDestination = RouteConfig.INDEX) {
        composable(RouteConfig.INDEX) { IndexScreen(navController) }
        composable(RouteConfig.ADD) { AddScreen(navController) }
        composable("addScreen/{id}") { backStackEntry ->
            backStackEntry.arguments?.getInt("id")?.let { EditScreen(navController, it) }
        }
    }
}